> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Change Price

PATCH https://restapi.ordergroove.com/items/{item_id}/change_price/
Content-Type: application/json

Updates the price of an order item and freezes the item so the price can't be overwritten.

This endpoint accepts the Application API Scope only. Storefront API Scope signatures are rejected.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/items/change-price

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).

## Request

### Path parameters

- `item_id` (string, required) — Unique item ID

### Body (application/json)

This endpoint expects an object.

- `price` (string, required) — Must be in decimal format, ex: 15.00
- `RAW_BODY` (string, optional)

## Response

### 200

200

- `order` (string, optional)
- `offer` (string, optional, nullable)
- `subscription` (string, optional)
- `product` (string, optional)
- `components` (list of ItemsItemIdChangePricePatchResponsesContentApplicationJsonSchemaComponentsItems, optional)
- `subscription_component` (string, optional)
- `quantity` (integer, optional, default: 0)
- `public_id` (string, optional)
- `product_attribute` (any, optional)
- `price` (string, optional)
- `extra_cost` (string, optional)
- `total_price` (string, optional)
- `one_time` (boolean, optional, default: true)
- `order_updated` (string, optional)
- `frozen` (boolean, optional, default: true)
- `first_placed` (any, optional)

## Errors

### 400 Bad Request Error

400

- `[field_name]` (string, optional)

### 403 Forbidden Error

403

- `detail` (string, optional)

### 404 Not Found Error

404

- `detail` (string, optional)

## Types

### ItemsItemIdChangePricePatchResponsesContentApplicationJsonSchemaComponentsItems

## Examples

**Request**

```json
{
  "price": "string"
}
```

**Response**

```json
{
  "order": "45c27952cd9211e8855abc764e106cf4",
  "offer": null,
  "subscription": "6199282ccd8f11e88267bc764e106cf4",
  "product": "0070067698",
  "components": [],
  "subscription_component": "85eae83c245111eeb185acde48001122",
  "quantity": 1,
  "public_id": "45c39ceccd9211e8855abc764e106cf4",
  "price": "79.99",
  "extra_cost": "0.00",
  "total_price": "35.99",
  "one_time": false,
  "order_updated": "2025-01-31 00:00:00",
  "frozen": true
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/items/item_id/change_price/"

payload = { "price": "string" }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/items/item_id/change_price/';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"price":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/items/item_id/change_price/"

	payload := strings.NewReader("{\n  \"price\": \"string\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/items/item_id/change_price/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"price\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://restapi.ordergroove.com/items/item_id/change_price/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"price\": \"string\"\n}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://restapi.ordergroove.com/items/item_id/change_price/', [
  'body' => '{
  "price": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/items/item_id/change_price/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"price\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["price": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/items/item_id/change_price/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```